# Class Point3D

java.lang.Object
uk.ac.starlink.ttools.plot.Point3D

public class Point3D extends Object
Object which represents a point to be plotted on a PlotVolume. This class handles only object comparison; it will have to be subclassed to contain some more information before it can do anything much useful.

Since:
  26 Mar 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Point3D(int iseq, double z)`
Constructs a new Point3D.

## Method Summary

Modifier and Type
Method
Description
`static Comparator<Point3D>`
`getComparator(boolean zAscending, boolean seqAscending)`
Returns a comparator which can be used to sort Point3D objects.
`double`
`getZ()`
Returns the Z coordinate.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Point3D

public Point3D(int iseq, double z)
Constructs a new Point3D.

Parameters:
  `iseq` - sequence value, used as a tie-breaker for comparisons
  `z` - Z coordinate, used for sorting

## Method Details

### getZ

public double getZ()
Returns the Z coordinate.

Returns:
  z

### getComparator

public static Comparator<Point3D> getComparator(boolean zAscending, boolean seqAscending)
Returns a comparator which can be used to sort Point3D objects.

Parameters:
  `zAscending` - true for ascending Z
  `seqAscending` - true for ascending sequence ID
Returns:
  comparator